#

## sleep

Sleep for a number of seconds

### Usage:

> sleep seconds

> > where seconds is the number of seconds to sleep.

### Summary:

> The sleep command implements the UNIX system sleep() call to suspend the process for a number of seconds. This function is only particularly useful for demonstration purposes. In the Tcl version of magic, it is effectively superceded by the Tcl after command.

### Implementation Notes:

> sleep is implemented as a built-in command in magic.

Return to command index

Last updated: October 8, 2004 at 6:28am